Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg
Class CollectionPropertyHolder

    java.lang.Object
      org.hibernate.cfg.AbstractPropertyHolder
          org.hibernate.cfg.CollectionPropertyHolder

All Implemented Interfaces:
  PropertyHolder

    public class CollectionPropertyHolder

extends AbstractPropertyHolder

Author:
  Emmanuel Bernard

Field Summary

Fields inherited from class org.hibernate.cfg.AbstractPropertyHolder
`parent`

Constructor Summary
`CollectionPropertyHolder(org.hibernate.mapping.Collection collection, String path, XClass clazzToProcess, XProperty property, ExtendedMappings mappings)`

Method Summary
`org.hibernate.mapping.Join` | `addJoin(javax.persistence.JoinTable joinTableAnn, boolean noDelayInPkColumnCreation)`
`void` | `addProperty(org.hibernate.mapping.Property prop)`
`void` | `addProperty(org.hibernate.mapping.Property prop, Ejb3Column[] columns)`
`String` | `getClassName()`
`String` | `getEntityName()`
`org.hibernate.mapping.KeyValue` | `getIdentifier()`
`org.hibernate.mapping.PersistentClass` | `getPersistentClass()`
`org.hibernate.mapping.Table` | `getTable()`
`boolean` | `isComponent()`

Methods inherited from class org.hibernate.cfg.AbstractPropertyHolder
`getOverriddenColumn, getOverriddenJoinColumn, getPath, setCurrentProperty, setParentProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectionPropertyHolder

    public CollectionPropertyHolder(org.hibernate.mapping.Collection collection,
                                    String path,
                                    XClass clazzToProcess,
                                    XProperty property,
                                    ExtendedMappings mappings)

Method Detail

### getClassName

    public String getClassName()

### getTable

    public org.hibernate.mapping.Table getTable()

### addProperty

    public void addProperty(org.hibernate.mapping.Property prop)

### getIdentifier

    public org.hibernate.mapping.KeyValue getIdentifier()

### getPersistentClass

    public org.hibernate.mapping.PersistentClass getPersistentClass()

### isComponent

    public boolean isComponent()

### getEntityName

    public String getEntityName()

### addProperty

    public void addProperty(org.hibernate.mapping.Property prop,
                            Ejb3Column[] columns)

### addJoin

    public org.hibernate.mapping.Join addJoin(javax.persistence.JoinTable joinTableAnn,
                                              boolean noDelayInPkColumnCreation)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD